Package net.shibboleth.idp.profile.impl

# Class ResolverTestRequestDecoder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.decoder.AbstractMessageDecoder
org.opensaml.messaging.decoder.servlet.AbstractHttpServletRequestMessageDecoder
net.shibboleth.idp.profile.impl.ResolverTestRequestDecoder

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `UnmodifiableComponent`, `MessageDecoder`, `HttpServletRequestMessageDecoder`

public class ResolverTestRequestDecoder extends AbstractHttpServletRequestMessageDecoder
Decodes an incoming resolver test message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACS_INDEX_PARAM`
Name of the query parameter carrying the ACS index: "acsIndex" .
`static final String`
`PRINCIPAL_PARAM`
Name of the query parameter carrying the subject name: "principal" .
`static final String`
`PROTOCOL_PARAM`
Name of the query parameter carrying the protocol: "protocol" .
`static final String`
`REQUESTER_ID_PARAM`
Name of the query parameter carrying the requesterID: "requester" .
`static final String`
`SAML1_PARAM`
Name of the query parameter for the SAML 1 protocol: "saml1" .
`static final String`
`SAML2_PARAM`
Name of the query parameter for the SAML 2 protocol: "saml2" .
`static final String`
`UNFILTERED_PARAM`
Name of the query parameter for the unfiltered option: "unfiltered" .

### Fields inherited from class org.opensaml.messaging.decoder.AbstractMessageDecoder

`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`

## Constructor Summary

Constructors
Constructor
Description
`ResolverTestRequestDecoder()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doDecode()`
`protected Integer`
`getIndex(HttpServletRequest request)`
Get the ACS index.
`protected String`
`getPrincipal(HttpServletRequest request)`
Get the name of the subject.
`protected String`
`getProtocol(HttpServletRequest request)`
Get the protocol.
`protected String`
`getRequesterId(HttpServletRequest request)`
Get the ID of the requester.
`protected Boolean`
`getUnfiltered(HttpServletRequest request)`
Get the unfiltered flag.

### Methods inherited from class org.opensaml.messaging.decoder.servlet.AbstractHttpServletRequestMessageDecoder

`doInitialize, getHttpServletRequest, getHttpServletRequestSupplier, isCheckDuringInit, setCheckDuringInit, setHttpServletRequestSupplier`

### Methods inherited from class org.opensaml.messaging.decoder.AbstractMessageDecoder

`decode, getMessageContext, getMessageToLog, getProtocolMessageLogger, getProtocolMessageLoggerSubCategory, logDecodedMessage, serializeMessageForLogging, setMessageContext, setProtocolMessageLoggerSubCategory`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.decoder.MessageDecoder

`decode, getMessageContext`

## Field Details

### PRINCIPAL_PARAM

@Nonnull @NotEmpty public static final String PRINCIPAL_PARAM
Name of the query parameter carrying the subject name: "principal" .

See Also:
  - Constant Field Values

### REQUESTER_ID_PARAM

@Nonnull @NotEmpty public static final String REQUESTER_ID_PARAM
Name of the query parameter carrying the requesterID: "requester" .

See Also:
  - Constant Field Values

### ACS_INDEX_PARAM

@Nonnull @NotEmpty public static final String ACS_INDEX_PARAM
Name of the query parameter carrying the ACS index: "acsIndex" .

See Also:
  - Constant Field Values

### PROTOCOL_PARAM

@Nonnull @NotEmpty public static final String PROTOCOL_PARAM
Name of the query parameter carrying the protocol: "protocol" .

See Also:
  - Constant Field Values

### SAML1_PARAM

@Nonnull @NotEmpty public static final String SAML1_PARAM
Name of the query parameter for the SAML 1 protocol: "saml1" .

See Also:
  - Constant Field Values

### SAML2_PARAM

@Nonnull @NotEmpty public static final String SAML2_PARAM
Name of the query parameter for the SAML 2 protocol: "saml2" .

See Also:
  - Constant Field Values

### UNFILTERED_PARAM

@Nonnull @NotEmpty public static final String UNFILTERED_PARAM
Name of the query parameter for the unfiltered option: "unfiltered" .

Since:
  5.1.0
See Also:
  - Constant Field Values

## Constructor Details

### ResolverTestRequestDecoder

public ResolverTestRequestDecoder()
Constructor.

## Method Details

### doDecode

protected void doDecode() throws MessageDecodingException

Specified by:
  `doDecode` in class `AbstractMessageDecoder`
Throws:
  `MessageDecodingException`

### getPrincipal

@Nonnull @NotEmpty protected String getPrincipal(@Nonnull HttpServletRequest request) throws MessageDecodingException
Get the name of the subject.

Parameters:
  `request` - current HTTP request
Returns:
  the name of the subject
Throws:
  `MessageDecodingException` - thrown if the request does not contain a subject name

### getRequesterId

@Nonnull @NotEmpty protected String getRequesterId(@Nonnull HttpServletRequest request) throws MessageDecodingException
Get the ID of the requester.

Parameters:
  `request` - current HTTP request
Returns:
  the ID of the requester
Throws:
  `MessageDecodingException` - thrown if the request does not contain a requester name

### getIndex

@Nullable protected Integer getIndex(@Nonnull HttpServletRequest request)
Get the ACS index.

Parameters:
  `request` - current HTTP request
Returns:
  the ACS index, or null

### getProtocol

@Nullable protected String getProtocol(@Nonnull HttpServletRequest request)
Get the protocol.

Parameters:
  `request` - current HTTP request
Returns:
  the protocol, or null

### getUnfiltered

@Nullable protected Boolean getUnfiltered(@Nonnull HttpServletRequest request)
Get the unfiltered flag.

Parameters:
  `request` - current HTTP request
Returns:
  the unfiltered flag, or null
Since:
  5.1.0